Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis
Interface IProjectContext

All Known Subinterfaces:
  IAnalysisController

All Known Implementing Classes:
  AnalysisController

    public interface IProjectContext

This is the interface which allows the analysis components a slimmed-down access to an instance of the `AnalysisController`. The methods in this interface should not allow any modifications.

Since:
  1.7
Author:
  Nils Christian Ehmke

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_PROJECT_NAME` This is the name of the property containing the project name.
`static String` | `CONFIG_PROPERTY_NAME_RECORDS_TIME_UNIT` This is the name of the property containing the time unit for the monitoring records.

Method Summary
`MIProject` | `getCurrentConfiguration()` This method delivers the current configuration of this instance as an instance of `MIProject`.
`String` | `getProjectName()` Delivers the current name of the project.
`String` | `getProperty(String key)` Delivers the value for the given (global) property within the analysis.
`AnalysisController.STATE` | `getState()` Delivers the current state of the analysis controller.

Field Detail

### CONFIG_PROPERTY_NAME_RECORDS_TIME_UNIT

    static final String CONFIG_PROPERTY_NAME_RECORDS_TIME_UNIT

  This is the name of the property containing the time unit for the monitoring records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_PROJECT_NAME

    static final String CONFIG_PROPERTY_NAME_PROJECT_NAME

  This is the name of the property containing the project name.

  See Also:
    Constant Field Values

Method Detail

### getProperty

    String getProperty(String key)

  Delivers the value for the given (global) property within the analysis.

  Parameters:
    `key` - The key of the property.
  Returns:
    The value for the given property if it exists, an empty string otherwise.
  Since:
    1.7

### getCurrentConfiguration

    MIProject getCurrentConfiguration()
                                      throws AnalysisConfigurationException

  This method delivers the current configuration of this instance as an instance of `MIProject`.

  Returns:
    A filled meta model instance.
  Throws:
    `AnalysisConfigurationException` - If the current configuration is somehow invalid.
  Since:
    1.7

### getProjectName

    String getProjectName()

  Delivers the current name of the project.

  Returns:
    The current project name.
  Since:
    1.7

### getState

    AnalysisController.STATE getState()

  Delivers the current state of the analysis controller.

  Returns:
    The current state.
  Since:
    1.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net